Loading...
Searching...
No Matches
BALL::CIFFile::Datacontent Class Reference

`#include <BALL/FORMAT/CIFFile.h>`

## Public Member Functions

| Datacontent ()
| Datacontent (SaveFrame new_saveframe)
| Datacontent (Item new_item)
std::ostream & | operator>> (std::ostream &os) const

## Public Attributes

bool | is_saveframe
SaveFrame | saveframe
Item | dataitem

## Detailed Description

Nested class for the data entity of the CIFFile

Definition at line 116 of file CIFFile.h.

## Constructor & Destructor Documentation

## Datacontent() [1/3]

BALL::CIFFile::Datacontent::Datacontent | ( |  | ) |

Constructors

## Datacontent() [2/3]

BALL::CIFFile::Datacontent::Datacontent | ( | SaveFrame | new_saveframe | ) |

## Datacontent() [3/3]

BALL::CIFFile::Datacontent::Datacontent | ( | Item | new_item | ) |

## Member Function Documentation

## operator>>()

std::ostream & BALL::CIFFile::Datacontent::operator>> | ( | std::ostream & | os | ) | const

## Member Data Documentation

## dataitem

Item BALL::CIFFile::Datacontent::dataitem

Stores the item

Definition at line 132 of file CIFFile.h.

## is_saveframe

bool BALL::CIFFile::Datacontent::is_saveframe

all data of a datablock is either a saveframe or a single item

Definition at line 126 of file CIFFile.h.

## saveframe

SaveFrame BALL::CIFFile::Datacontent::saveframe

Stores the saveframe

Definition at line 129 of file CIFFile.h.